Category:    
Description

We are seriously missing the functionality to look up parameters via API the way they appear in the kickstart file.

Currently we need to look up the host, then its hostgroup, then all parent hostgroups, then the domain, then the operating system,

etc.

This results in many API calls by looking for a single parameter.

It would be really great to be able to lookup all or just a single parameter this way.

Related issues:

Is duplicate of Foreman - Feature #3220: API for "rendered" view of host para... New 10/08/2013

History

#1 - 05/14/2014 07:35 PM - Martin Matuška

To be more precise, I want the output of externalNodes in JSON format via API :)

#2 - 05/14/2014 07:36 PM - Martin Matuška

- Subject changed from Kickstart parameters lookup via API to externalNodes in JSON via API

#3 - 05/15/2014 08:17 AM - Dominic Cleal

- Is duplicate of Feature #3220: API for "rendered" view of host parameters, taking into account inheritance added

#4 - 05/15/2014 08:18 AM - Dominic Cleal

- Status changed from New to Duplicate

Hm, yep.  Tracked as #3220.
